# $Revision: 1.16 $, $Date: 2004/11/01 18:40:09 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Apache
%define	pnam	Session-SharedMem
Summary:	Apache::Session::Store::SharedMem - store persistent data in shared memory
Summary(pl):	Apache::Session::Store::SharedMem - przechowywanie trwaych dane w pamici wsplnej
Name:		perl-Apache-Session-SharedMem
Version:	0.6
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	880074b9d0703d0db6cd3d5901a7ee6a
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Apache-Session
BuildRequires:	perl-IPC-Cache
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an Apache::Session extension module that stores the session
data in Shared memory (so, does exactly what it says on the tin then)
using IPC::Cache (and hence IPC::ShareLite).

%description -l pl
To jest rozszerzenie Apache::Session, przechowujce dane sesyjne w pamici
dzielonej (czyli robi dokadnie to, co ma napisane na puszce), przy uyciu
IPC::Cache (a wic IPC::ShareLite).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} -MExtUtils::MakeMaker -wle 'WriteMakefile(NAME=>"Apache::Session::SharedMEM")' \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Apache/Session/*.pm
%{perl_vendorlib}/Apache/Session/Store/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Apache-Session-SharedMem.spec,v $
Revision 1.16  2004/11/01 18:40:09  adamg
- updated to 0.6

Revision 1.15  2004/05/06 18:09:14  ankry
- fixed perl-devel BR

Revision 1.14  2004/04/25 06:25:04  ankry
- cosmetics: unification

Revision 1.13  2004/04/17 05:46:23  ankry
- license fixes

Revision 1.12  2004/04/14 11:21:49  ankry
- caps and other cosmetics

Revision 1.11  2004/02/07 08:24:54  adamg
- updated to 0.5
- new style bconds

Revision 1.10  2003/09/09 10:24:26  ankry
- spaces -> tab

Revision 1.9  2003/05/28 13:00:20  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 17:42:08  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:43:23  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:25:53  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/10/05 11:02:00  ankry
- updated to 0.41: changed location of files

Revision 1.2  2002/09/15 22:43:01  radek
- added missing file, release 2

Revision 1.1  2002/09/01 09:00:42  radek
- new, STBR

